rte_swx_ipsec_params(3)

NAME
rte_swx_ipsec_params

SYNOPSIS

#include <rte_swx_ipsec.h>

  Data Fields

const char * ring_in_name
const char * ring_out_name
const char * crypto_dev_name
uint32_t crypto_dev_queue_pair_id
struct rte_swx_ipsec_burst_size bsz
uint32_t n_sa_max

Detailed Description

IPsec instance configuration parameters

Definition at line 92 of file rte_swx_ipsec.h.

Field Documentation

  const char* ring_in_name
Input packet queue.

Definition at line 94 of file rte_swx_ipsec.h.

  const char* ring_out_name
Output packet queue.

Definition at line 97 of file rte_swx_ipsec.h.

  const char* crypto_dev_name
Crypto device name.

Definition at line 100 of file rte_swx_ipsec.h.

  uint32_t crypto_dev_queue_pair_id
Crypto device queue pair ID.

Definition at line 103 of file rte_swx_ipsec.h.

  struct rte_swx_ipsec_burst_size bsz
Burst size.

Definition at line 106 of file rte_swx_ipsec.h.

  uint32_t n_sa_max
Maximum number of SAs.

Definition at line 109 of file rte_swx_ipsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.